> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get model quality metric default settings



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /model-monitor/v2/api/setting/default/metric
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /model-monitor/v2/api/setting/default/metric:
    get:
      tags:
        - Model Monitoring settings
      summary: Get model quality metric default settings
      operationId: getMetricDefaultSettings
      responses:
        '200':
          description: Model Quality Metric default settings fetched successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dmm-plier_defaultSettingBaseArray'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - dmm-plier_DominoApiKeyAuth: []
        - dmm-plier_DmmApiKeyAuth: []
        - dmm-plier_cookieAuth: []
        - dmm-plier_BearerAuth: []
components:
  schemas:
    dmm-plier_defaultSettingBaseArray:
      type: array
      items:
        $ref: '#/components/schemas/dmm-plier_defaultSettingBase'
    dmm-plier_defaultSettingBase:
      title: Default Setting Base
      description: The base fields for the default settings.
      type: object
      required:
        - id
        - createdAt
        - updatedAt
        - name
        - alertCondition
      properties:
        id:
          description: Default Setting Identifier.
          type: string
        createdAt:
          description: Creation timestamp of the Default Setting.
          type: integer
        updatedAt:
          description: Last update timestamp for the Default Setting.
          type: integer
        name:
          description: Name of the default setting.
          type: string
        alertCondition:
          $ref: '#/components/schemas/dmm-plier_alertCondition'
    dmm-plier_alertCondition:
      title: Alert Condition
      description: Condition at which alert is triggered
      type: object
      required:
        - operator
        - lower
        - upper
      properties:
        operator:
          title: Math Operator
          description: The math operator for the condition, like < or <=.
          type: string
        lower:
          title: Lower Bound
          description: The lower bound for the condition
          type: number
        upper:
          title: Upper Bound
          description: The upper bound for the condition
          type: number
  securitySchemes:
    dmm-plier_DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    dmm-plier_DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    dmm-plier_cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION
    dmm-plier_BearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Update the model quality metric default settings.](/api-reference/model-monitoring-settings/update-the-model-quality-metric-default-settings.md)
- [Test defaults](/cloud/platform-capabilities/features/monitoring/7-monitor-settings/4-tests.md)
- [Analyze model quality](/cloud/platform-capabilities/features/monitoring/5-use-monitoring/4-analyze-model-quality.md)
- [Get quality scheduler query](/api-reference/model-monitoring-drift-and-quality/get-model-monitorv2apimodel-model-quality-scheduler-query.md)
